Package com.orbbec.obsensor

## Class AccelStreamProfile

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.StreamProfile
    - - com.orbbec.obsensor.AccelStreamProfile

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class AccelStreamProfile
    extends StreamProfile

Accelerometer Profile

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Method Summary

All Methods Instance Methods Concrete Methods
`AccelFullScaleRange` `getAccelFullScaleRange()` Get the range of the accelerometer configuration
`SampleRate` `getAccelSampleRate()` Get the sampling frequency of the accelerometer stream configuration

### Methods inherited from class com.orbbec.obsensor.StreamProfile

`as, close, getFormat, getType`

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAccelFullScaleRange

    public AccelFullScaleRange getAccelFullScaleRange()

Get the range of the accelerometer configuration

Returns:
  Accelerometer range

#### getAccelSampleRate

    public SampleRate getAccelSampleRate()

Get the sampling frequency of the accelerometer stream configuration

Returns:
  Accelerometer sampling frequency